Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.nativewindow.awt
Class AWTGraphicsDevice

    java.lang.Object
      javax.media.nativewindow.DefaultGraphicsDevice
          javax.media.nativewindow.awt.AWTGraphicsDevice

All Implemented Interfaces:
  Cloneable, AbstractGraphicsDevice

    public class AWTGraphicsDevice

extends DefaultGraphicsDevice
implements Cloneable

A wrapper for an AWT GraphicsDevice allowing it to be handled in a toolkit-independent manner.

Field Summary

Fields inherited from class javax.media.nativewindow.DefaultGraphicsDevice
`handle`

Constructor Summary
`protected` | `AWTGraphicsDevice(GraphicsDevice device)`

Method Summary
`Object` | `clone()`
`static AbstractGraphicsDevice` | `createDevice(GraphicsDevice awtDevice)`
`GraphicsDevice` | `getGraphicsDevice()`
`void` | `setHandle(long handle)` In case the native handle was specified, e.g.
`String` | `toString()`

Methods inherited from class javax.media.nativewindow.DefaultGraphicsDevice
`getHandle, getType`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AWTGraphicsDevice

    protected AWTGraphicsDevice(GraphicsDevice device)

Method Detail

### createDevice

    public static AbstractGraphicsDevice createDevice(GraphicsDevice awtDevice)

### clone

    public Object clone()

  Overrides:
    `clone` in class `DefaultGraphicsDevice`

### getGraphicsDevice

    public GraphicsDevice getGraphicsDevice()

### setHandle

    public void setHandle(long handle)

  In case the native handle was specified, e.g. using X11, we shall be able to mark it.

### toString

    public String toString()

  Overrides:
    `toString` in class `DefaultGraphicsDevice`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.